import { axios } from '@/utils/request'
// 梯形图
export const queryUserCount = params => {
  return axios({
    url: `/report/user/queryUserCount`,
    data: params,
    method: 'post'
  })
}
// 注册用户
export const queryStatistics = params => {
  return axios({
    url: `/report/user/queryStatistics`,
    data: params,
    method: 'post'
  })
}
export const registerUserQueryPage = params => {
  const url = `/report/user/queryPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}
// 使用用户
export const useUserStatistics = params => {
  return axios({
    url: `/report/shelf/useUser/statistics`,
    data: params,
    method: 'post'
  })
}
export const useUserQueryPage = params => {
  const url = `/report/shelf/queryShelfUseUserPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}
// 导出
export const exportShelfUseUser = params => {
  return axios({
    url: `/report/shelf/exportShelfUseUser`,
    data: params,
    method: 'post',
    responseType: 'blob'
  })
}
// 参数设置查询
export const queryStoreLevelParamMap = params => {
  return axios({
    url: `/bizparam/queryStoreLevelParamMap`,
    data: params,
    method: 'post'
  })
}
export const saveStoreLevelParam = params => {
  return axios({
    url: `/bizparam/saveStoreLevelParam`,
    data: params,
    method: 'post'
  })
}
// 活跃用户
export const activeUserStatistics = params => {
  return axios({
    url: `/report/shelf/activeUser/statistics`,
    data: params,
    method: 'post'
  })
}
export const queryShelfActiveUserPage = params => {
  const url = `/report/shelf/queryShelfActiveUserPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}